<?php
wp_reset_query();
$args   = array(
	'post_type'      => 'slider',
	'posts_per_page' => 5

);
$slides = new WP_Query( $args ); ?>
<?php if ( $slides->have_posts() ) : ?>
	<section class="slider hidden-xs">
		<div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
			<ol class="carousel-indicators">
				<?php $i = 0; ?>
				<?php while ( $slides->have_posts() ) : $slides->the_post(); ?>

					<li data-target=".carousel" data-slide-to="<?php echo $i ++; ?>"></li>
				<?php endwhile; ?>
			</ol>

			<!-- Wrapper for slides -->
			<div class="carousel-inner">
				<?php while ( $slides->have_posts() ) : $slides->the_post(); ?>

					<div class="item">
						<?php echo get_the_post_thumbnail( $post->ID, 'slider-image' ); ?>
						<div class="carousel-caption">
							<p><?php echo mb_substr( get_the_title(), 0, 100 ); ?> </p>
							<h6><?php echo mb_substr( get_the_content(), 0, 200 ); ?> </h6>

						</div>

					</div>
				<?php endwhile;
				wp_reset_query(); ?>
			</div>

			<!-- Controls -->
			<a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
				<span class="glyphicon glyphicon-chevron-left"></span>
			</a>
			<a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
				<span class="glyphicon glyphicon-chevron-right"></span>
			</a>
		</div>
	</section>
	<?php
else :
	echo 'NO Posts';
endif; ?>


